Package org.springframework.web.bind.support

# Class BindParamNameResolver

java.lang.Object
org.springframework.web.bind.support.BindParamNameResolver

All Implemented Interfaces:
  `org.springframework.validation.DataBinder.NameResolver`

public final class BindParamNameResolver extends Object implements org.springframework.validation.DataBinder.NameResolver
`DataBinder.NameResolver` that determines the bind value name from a `@BindParam` method parameter annotation.

Since:
  6.1
Author:
  Rossen Stoyanchev

## Constructor Summary

Constructors
Constructor
Description
`BindParamNameResolver()`

## Method Summary

Modifier and Type
Method
Description
`String`
`resolveName(org.springframework.core.MethodParameter parameter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BindParamNameResolver

public BindParamNameResolver()

## Method Details

### resolveName

@Nullable public String resolveName(org.springframework.core.MethodParameter parameter)

Specified by:
  `resolveName` in interface `org.springframework.validation.DataBinder.NameResolver`